<?php
/*	=====================================================
	linker_view, Version 1.08.000
	=====================================================

$module_directory     = 'linker_view';
$module_name          = 'Link Handler';
$module_function      = 'page';
$module_version       = '1.08.000';
$module_platform      = '2.x';
$module_author        = 'Wolfgang Studer';
$module_license       = 'GNU General Public License';
$module_license_terms = '-';
$module_description   = 'handle links defined in linker tool';
$module_guid          = 'f13a5da3-586b-4a09-a0d9-e78ef7a427f5';
$module_home          = 'www.wolfgangstuder.ch | www.lepton-cms.com';
$lepador_link         = 'http://www.lepton-cms.com/lepador/modules/linker_view.php';
$forum_link           = 'http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054';

=====================================================

INTRO
==================================

Ein Modul für das LEPTON CMS.

Es bietet ein Backend-Formular zur Auswahl des Presets und der Link Gruppen, welche
vorgängig im Admin Tool "Linker" erfasst wurden.

Dieses Modul unterstützt das Modul "lib_logger" und kann damit verschiedene
Fehler, Aktivitäten und SQLs in einer Datenbank Tabelle speichern und im Modul
"logger" anzeigen.
Die Module "lib_logger" und "logger" sind optional und für den
Betrieb dieses Modules nicht zwingend.

Dieses Modul unterstützt das Modul "lib_dependency" zur Sicherstellung von
Abhängigkeiten während einer De-Installation.
Das Modul "lib_dependency" ist optional und für den Betrieb dieses Modules nicht
zwingend.
Das Modul kann auch nachträglich installiert werden, vorhandene Abhängigkeiten
werden semi-automatisch eingetragen (register_dependency.php).
Siehe auch die README.de.txt Datei von "lib_dependency" für weitere Informationen.

PRE-REQUIREMENTS
==================================
>=       2.2 : LEPTON_VERSION
>=       5.6 : PHP_VERSION
>=  1.04.000 : WB_ADDONS[ 'lib_setuphelper' ]
>=  1.24.0.0 : WB_ADDONS[ 'lib_twig' ]
>=  1.08.000 : WB_ADDONS[ 'linker' ]
>=  0.03.001 : WB_ADDONS[ 'lib_dependency' ] (optional)
>=  0.05.002 : WB_ADDONS[ 'lib_logger' ] (optional)

INSTALLATION
==================================

1. Lade die letzte Version von
	http://www.lepton-cms.com/lepador/modules/linker_view.php
2. Melde dich im Lepton CMS Backend an
3. Gehe zu Erweiterungen -> Module
4. Im Block "Modul installieren", wähle die im Schritt 1 heruntergeladene
	linker_view ZIP Datei, dann klicke auf den "Installieren" Button.


DE-INSTALLATION
==================================

1. Melde dich im Lepton CMS Backend an
2. Gehe zu Erweiterungen -> Module
3. Im Block "Modul deinstallieren", wähle das Modul "linker_view",
	dann klicke auf den "Deinstallieren" Button.

BENUTZUNG VON linker_view
==================================

Für Details siehe READMEen.txt!



BENUTZUNG VON lib_dependency
==================================

Beachte bitte das diese Funktion nur verfügbar ist, wenn das Modul "lib_dependency"
installiert ist!

Während der normalen Benutzung des Moduls "linker_view" wird man nichts vom
Modul "lib_dependency" bemerken.

Nur in den folgenden Situationen macht sich "lib_dependency" bemerkbar:
- wenn jemand versucht, eine als abhängig registriertes Modul von "linker_view"
zu De-Installieren, erscheint eine Fehlermeldung und die De-Installation des abhängigen
Moduls wird abgebrochen ("linker_view" ist "Eltern-Modul").
- wenn jemand versucht, "linker_view" zu De-Installieren und "linker_view"
ist eine registrierte Abhängigkeit eines anderen Moduls, erscheint eine Fehlermeldung
und die De-Installation von "linker_view" wird abgebrochen
("linker_view" ist "Kind-Modul").

EIGENE ERWEITERUNGEN
===========================

Dieses Modul wurde so entwickelt, das es durch den System-Administrator an verschiedenen
Punkten erweitert werden kann, ohne im Modul selbst Aenderungen vorzunehmen und dadurch
die Aenderungen bei einem allfälligen Update zu verlieren.
Hier nachfolgend die Punkte und Dateien:

Benutze Variablen:
- {LEPTON_PATH}   = der LEPTON CMS Installations Pfad
- {DEFAULT_THEME} = das verwendete Backend Theme
- {TEMPLATE}      = das verwendete Frontend Template
- {COMPONENT}     = der Komponenten Name, z.B. "modify_optionizer"
- {LANGUAGE}      = der momentan verwendete Sprachcode, in Grossbuchstaben

- {BACKEND_PATH}  = {LEPTON_PATH}/templates/{DEFAULT_THEME}/backend/linker_view
- {FRONTEND_PATH} = {LEPTON_PATH}/templates/{TEMPLATE}/frontend/linker_view


Für das Backend:
- {BACKEND_PATH}/backend.css
	>> hier kann das verwendete Standard Style überschrieben werden.
		Wenn diese Datei vorhanden ist wird die Standard Datei NICHT verwendet!

- {BACKEND_PATH}/languages/{LANGUAGE}.php
	>> hier kann der verwendete Standard Text überschrieben werden.
		Diese Datei wird ausgeführt, nachdem die Standard Datei ausgeführt wurde.

- {BACKEND_PATH}/lib/lib.backend.config.{COMPONENT}.php
	>> In dieser Datei können Standard Konfigurations Werte überschrieben werden.
		Diese Datei wird ausgeführt, nachdem die Standard Datei ausgeführt wurde.

- {BACKEND_PATH}/lib/lib.data.{COMPONENT}.php
	>> diese Datei wird ausgeführt, nachdem das SQL ausgeführt wurde. Benutze diese Datei
		wenn Daten manipuliert werden sollen, bevor diese an die TWIG Engine übergeben
		werden.
		Diese Datei wird ausgeführt, nachdem die Standard Datei ausgeführt wurde.

- {BACKEND_PATH}/lib/lib.twig.{COMPONENT}.php
	>> Benutze diese Datei, wenn zusätzliche Variablen im TWIG Template verwendet werden
		sollen.
		Diese Datei wird ausgeführt, nachdem die Standard Datei ausgeführt wurde.

- {BACKEND_PATH}/templates/backend/{COMPONENT}.lte
	>> mit dieser Datei kann das Standard Template ersetzt werden.
		Wenn diese Datei vorhanden ist wird die Standard Datei NICHT verwendet!
	Wichtig: Es kann auch ein Template  mit einem anderen Namen verwendet werden.
	Dazu muss in: {BACKEND_PATH}/lib/lib.twig.{COMPONENT}.php
	folgendes definiert werden:
		// define twig template
		$twigTemplate =  '<<dein Template Name>>';

Für das Frontend:
- {FRONTEND_PATH}/frontend.css
	>> hier kann das verwendete Standard Style überschrieben werden
		Wenn diese Datei vorhanden ist wird die Standard Datei NICHT verwendet!

- {FRONTEND_PATH}/languages/{LANGUAGE}.php
	>> hier kann der verwendete Standard Text überschrieben werden.
		Diese Datei wird geladen, nachdem die Standard Datei geladen wurde.

- {FRONTEND_PATH}/lib/lib.backend.config.{COMPONENT}.php
	>> In dieser Datei können Standard Konfigurations Werte überschrieben werden.
		Diese Datei wird geladen, nachdem die Standard Datei geladen wurde.

- {FRONTEND_PATH}/lib/lib.data.{COMPONENT}.php
	>> diese Datei wird ausgeführt, nachdem das SQL ausgeführt wurde. Benutze diese Datei
		wenn Daten manipuliert werden sollen, bevor diese an die TWIG Engine übergeben
		werden.
		Diese Datei wird geladen, nachdem die Standard Datei geladen wurde.

- {FRONTEND_PATH}/lib/lib.twig.{COMPONENT}.php
	>> Benutze diese Datei, wenn zusätzliche Variablen im TWIG Template verwendet werden
		sollen.
		Diese Datei wird geladen, nachdem die Standard Datei geladen wurde.

- {FRONTEND_PATH}/templates/frontend/{COMPONENT}.lte
	>> mit dieser Datei kann das Standard Template ersetzt werden.
		Wenn diese Datei vorhanden ist wird die Standard Datei NICHT verwendet!
	Wichtig: Es kann auch ein Template  mit einem anderen Namen verwendet werden.
	Dazu muss in: {FRONTEND_PATH}/lib/lib.twig.{COMPONENT}.php
	folgendes definiert werden:
		// define twig template
		$twigTemplate =  '<<dein Template Name>>';



WEITERE DOKUMENTATION
===========================

Weitere Informationen zu diesem Modul findet sich im LEPTON CMS Forum
http://forum.lepton-cms.org/index.php

!! Beachtet bitte das das Forum nur in englischer Sprache geführt wird !!


Enjoy!
*/
?>
