<?php

/**  // € // to identify files as UTF8
 * handle links defined in linker tool
 *
 * @module          linker_view
 * @author          Wolfgang Studer
 * @copyright       2017 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.08.000 | 2017-12-30
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/linker_view.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


/** ------------------------------------------------------------------------------------
 * get list of presets for current module
 * @return	array		$presetFolders = data set
 * @param	array		$presetFolders = empty array
 * @param	string		$module = name of module which we search in presets
 ** ------------------------------------------------------------------------------------
 */
if ( function_exists( 'linker_get_presets' ) == FALSE ):
	function linker_get_presets( &$presetFolders = array(), $module = 'xx' )
	{
		// get preset path
		$presetPath = array();
		$query = 'SELECT * '
					. ' FROM ' . TABLE_PREFIX . 'mod_preset_path'
					. ' WHERE `status`	!= "DELETED"'
					;
		$presetPath = linker_execute_query( __FUNCTION__, $query, 'get_all' );


		// loop over all saved preset location path and get from all the preset folders
		if ( count( $presetPath ) > 0 ):
			foreach( $presetPath as $key => $pathItem ):

				// get a list of preset folders in $presetPath
				if ( is_dir( LEPTON_PATH . $pathItem[ 'path' ] ) == TRUE ):
					// first get all the folders containing a module info.php
					$folders = array();
					$folders = glob( LEPTON_PATH . $pathItem[ 'path' ] . DIRECTORY_SEPARATOR . '*' . DIRECTORY_SEPARATOR . $module . '_info.php' );
					// remove the "modules info.php" string from files found
					$folders = str_replace( DIRECTORY_SEPARATOR . $module . '_info.php', '', $folders );
					// build the structure shown in select field
					$folders = str_replace( LEPTON_PATH . $pathItem[ 'path' ] . DIRECTORY_SEPARATOR, $pathItem[ 'path_id' ] . ' | ' . $pathItem[ 'path_code' ] . ' | ', $folders );
					// build final array to be returned
					$presetFolders = array_merge( $presetFolders, $folders );
				endif;
			endforeach;
		endif;
	}
endif;

?>
