<?php

/**  // € // to identify files as UTF8
 * handle links defined in linker tool
 *
 * @module          linker_view
 * @author          Wolfgang Studer
 * @copyright       2017 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.08.000 | 2017-12-30
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/linker_view.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


/** ------------------------------------------------------------------------------------
 * set saved differences into $optionSets array
 * source structure e.g.:, transition:"fade", open:TRUE, className:"hugo",
 * @return	&$optionSets
 * @param	array	$optionSets
 * @param	string	$options
 * @param	string	$properties
 ** ------------------------------------------------------------------------------------
 */
if ( function_exists( 'linker_prepare_optionset' ) == FALSE ):
	function linker_prepare_optionset( &$optionSets = array(), $options = '', $properties = '' )
	{
		// Note that $options and $properties contains all items
		// different than script_default value !

		// manipulate data in optionset
		if ( count( $optionSets ) > 0 ):
			foreach ( $optionSets as $key => &$optionSet ):
				// set first script_default as value in $optionSets
				if ( array_key_exists( 'script_default', $optionSet ) == TRUE ):
					$optionSet[ 'value' ] = $optionSet[ 'script_default' ];
				endif;
				// decode filter array
				if ( array_key_exists( 'filter', $optionSet ) == TRUE ):
					$optionSet[ 'filter' ] = json_encode( $optionSet[ 'filter' ] );
				endif;
			endforeach;
		endif;

		// now overwrite with last saved options set
		if ( strlen( trim( $options )) > 0 ):
			// remove quotation marks inside
			$options = str_replace(array('&#34;', '&#39;', '"', "'"), '', $options);

			// made array out of saved value
			$optionsArray = explode( ',', $options );

			// loop over option items
			foreach ( $optionsArray as $item ):
				$optionsItem = explode(':', $item);

				if ( count( $optionsItem ) > 1 ):
					$key   = trim( $optionsItem[0] );
					$value = trim( $optionsItem[1] );

					// is provided key valid for current optionset
					if ( array_key_exists( $key, $optionSets ) == TRUE ):
						if ( $optionSets[ $key ][ 'kind' ] == 'truefalse' ):
							if ( $value == 'true' ):
								$value = 1;
							else:
								$value = 0;
							endif;
						endif;

						$optionSets[ $key ][ 'value' ] = $value;
					endif;
				endif;
			endforeach;
		endif;

		// and overwrite with last saved properties set
		if ( strlen( trim( $properties )) > 0 ):
			$properties = str_replace(array('&#34;', '&#39;', '"', "'"), '', $properties);

			// made array out of saved value
			$propertiesArray = json_decode( $properties, true );

			// loop over property items
			if ( count( $propertiesArray ) > 0 ):
				foreach ( $propertiesArray as $key => $value ):
					if ( array_key_exists( $key, $optionSets ) == TRUE ):
						$optionSets[ $key ][ 'value' ] = trim( $value, '"' );
					endif;
				endforeach;
			endif;
		endif;
	}
endif;


?>
