<?php

/**  // € // to identify files as UTF8
 * handle links defined in linker tool
 *
 * @module          linker_view
 * @author          Wolfgang Studer
 * @copyright       2017 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.08.000 | 2017-12-30
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/linker_view.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


/** ------------------------------------------------------------------------------------
 * function to prepare data into options & properties fields
 * @return	&$options
 * @return	&$properties
 * @param	array	$optionSets
 * @param	array	$data
 * @param	string	$options
 * @param	string	$properties
 ** ------------------------------------------------------------------------------------
 */
if ( function_exists( 'linker_prepare_string' ) == FALSE ):
	function linker_prepare_string( $optionSets = array(), $data = array(), &$options = '', &$properties = '' )
	{
		// initialize return string
		$options		= '';
		$optionsArray	= array();
		$properties		= '';
		$propertiesArray= array();

		// no options defined
		if ( count( $optionSets ) == 0 ):
			return;
		endif;

		// loop over option sets
		foreach ( $optionSets as $key => $items ):
			// use options or properties
			$value = $items[ 'script_default' ];
			if ( count ( $data ) > 0 ):
				if (( array_key_exists( 'options', $data )			== TRUE )
				and ( array_key_exists( $key, $data[ 'options' ] )	== TRUE )):
					$value = trim( addslashes( $data[ 'options' ][ $key ] ));
				elseif (( array_key_exists( 'properties', $data )			== TRUE )
					and ( array_key_exists( $key, $data[ 'properties' ] )	== TRUE )):
					$value = trim( addslashes( $data[ 'properties' ][ $key ] ));
				endif;

			elseif ( array_key_exists( 'value', $items )	== TRUE ):
				$value = $items[ 'value' ];

			elseif ( array_key_exists( 'default', $items )	== TRUE ):
				$value = $items[ 'default' ];
			endif;

			// when script default, no need to set
			if ( $items[ 'script_default' ] != $value ):

				if ( $items[ 'isproperty' ] == 1 ):
					$propertiesArray[ $key ] = $value;
				else:
					// some values needs to have quotation marks
					$quotation = '';
					if (( array_key_exists( 'quotation', $items )	== TRUE )
					 AND ( $items[ 'quotation' ]					== TRUE )):
						$quotation = '"';
					endif;

					// handle true/false
					if ( $items[ 'kind' ] == 'truefalse' ):
						if ( $value == 1 ):
							$value = 'true';
						else:
							$value = 'false';
						endif;
					endif;

					$optionsArray[] = $key . ':' . $quotation . $value . $quotation;
				endif;
			endif;
		endforeach;
	
		// the final result string
		if ( count( $optionsArray ) > 0 ):
			$options 	= implode( ', ', $optionsArray );
		endif;
		if ( count( $propertiesArray ) > 0 ):
			$properties = json_encode( $propertiesArray );
		endif;
	}
endif;

?>
