<?php

/**  // € // to identify files as UTF8
 * handle links defined in linker tool
 *
 * @module          linker_view
 * @author          Wolfgang Studer
 * @copyright       2017 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.08.000 | 2017-12-30
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/linker_view.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3054
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


/* **********************************
 * Default assignments
 * **********************************
 */

// backlink in form
	$form_values[ 'save_target' ]				= ADMIN_URL . '/pages/modify.php?page_id=' . $page_id . '&leptoken=' . $leptoken;
	$form_values[ 'cancel_target' ]				= 'index.php';

// preset handling
	if (( $form_values[ 'num_data' ] > 0 )
	AND ( strlen( $data[ 'preset_name' ] ) > 0 )):
		// define the template standard to be used
		$preset_path = LEPTON_PATH . $data[ 'preset_path' ];
		$preset_description = '';

		// define the preset template to be used
		if ( file_exists( $preset_path . DIRECTORY_SEPARATOR . 'linker_info.php' ) == TRUE ):
			include( $preset_path . DIRECTORY_SEPARATOR . 'linker_info.php' );
			// note that preset_path (incl LEPTON_PATH) and preset.lte for the template can be changed herein!
		endif;

		// get preset_description
		$form_values[ 'PRESETDESCRIPTION' ]		= $preset_description;

/*
	Please note that preset path can be changed in info.php
*/

		// are options available ?
		if ( $presetConfig[ 'optionDetails' ] != 'HIDE' ):
			if ( file_exists( $preset_path . DIRECTORY_SEPARATOR . 'linker_options.php' )	== TRUE ):
				include( $preset_path . DIRECTORY_SEPARATOR . 'linker_options.php' );
				if ( count( $optionSets ) == 0 ):
					$presetConfig[ 'optionDetails' ] = 'HIDE';
				endif;
			else:
				$presetConfig[ 'optionDetails' ] = 'HIDE';
			endif;
		endif;
	else:
		$form_values[ 'PRESETDESCRIPTION' ]		= '';

		// hide form elements till preset is selected
		$presetConfig[ 'active' ] = 'HIDE';
		$presetConfig[ 'presetPath' ] = 'HIDE';
		$presetConfig[ 'optionDetails' ] = 'HIDE';
		$presetConfig[ 'options' ] = 'HIDE';
		$presetConfig[ 'properties' ] = 'HIDE';
		$presetConfig[ 'description' ] = 'HIDE';
	endif;

// add main form data set
	if ( $form_values[ 'num_data' ] > 0 ):
		$form_values[ 'data' ]					= $data;
	else:
		$form_values[ 'data' ]					= array();		// no data available
	endif;

// add config
	$form_values[ 'presetConfig' ]				= $presetConfig;

// add link groups & collections
	$form_values[ 'groups' ]					= $groups;
	$form_values[ 'collections' ]				= $collections;

// add list of preset files
	$form_values[ 'LIST' ][ 'presetFolders' ]	= $presetFolders;

// add list of group type selection
	$group_select = $MOD_LINKER_VIEW['LIST']['groups'];
	if ( count( $groups ) == 0 ):
		// remove from list: ['select']
		unset($group_select['select']);
	endif;
	if ( count( $collections ) == 0 ):
		// remove from list: ['collection']
		unset($group_select['collection']);
	endif;
	$form_values[ 'GROUP_SELECT' ]				= $group_select;
?>
